Compare commits

...

97 Commits

Author SHA1 Message Date
repo-ranger[bot]
4f64429e8b Merge pull request #860 from tj-actions/fix/error-with-retrieving-changed-files-for-closed-prs
fix: error with retrieving changed files for closed prs
2022-12-14 01:58:54 +00:00
Tonye Jack
a73691148f fix: error with retrieving changed files for closed prs 2022-12-13 18:39:58 -07:00
repo-ranger[bot]
cd8e421366 Merge pull request #859 from tj-actions/fix/error-detecting-changed-files-for-closed-prs
fix: error detecting changed files for closed PR's
2022-12-14 01:03:14 +00:00
Tonye Jack
32a46ba6ba fix: error detecting changed files for closed PR's 2022-12-13 17:43:44 -07:00
repo-ranger[bot]
0e4974f191 Merge pull request #857 from tj-actions/fix/bug-changed-files-diff-sha-prints-thousands-of-lines-and-takes-two-minutes-to-run
fix: bug-changed-files-diff-sha-prints-thousands-of-lines-and-takes-two-minutes-to-run
2022-12-13 21:47:13 +00:00
Tonye Jack
4f939f8e80 fixed test 2022-12-13 14:25:47 -07:00
Tonye Jack
2405ae6c59 Updated the current sha 2022-12-13 14:13:22 -07:00
Tonye Jack
49ac42e025 Deprecate max_fetch_depth 2022-12-13 14:02:40 -07:00
Tonye Jack
9cac2f8ea1 Update diff-sha.sh 2022-12-13 13:51:00 -07:00
Tonye Jack
6497e8ef99 Updated to fetch the common ancestor 2022-12-13 13:24:35 -07:00
Tonye Jack
1ae6035162 Update diff-sha.sh 2022-12-13 12:20:37 -07:00
Tonye Jack
8b8c347ee9 Update diff-sha.sh 2022-12-13 12:11:37 -07:00
Tonye Jack
bd4ca4c445 Update diff-sha.sh 2022-12-13 11:26:00 -07:00
Tonye Jack
2a28c9bb7d Merge pull request #856 from tj-actions/renovate/reviewdog-action-shellcheck-1.x
chore(deps): update reviewdog/action-shellcheck action to v1.16
2022-12-13 11:24:15 -07:00
renovate[bot]
5f902276c1 chore(deps): update reviewdog/action-shellcheck action to v1.16 2022-12-13 11:56:20 +00:00
Tonye Jack
73401b8f0b Merge pull request #854 from tj-actions/chore/update-readme
Updated README.md
2022-12-12 16:35:17 -07:00
jackton1
fa300c6aa4 Updated README.md 2022-12-12 23:34:25 +00:00
Tonye Jack
79fbc9646d Update action.yml 2022-12-12 16:33:39 -07:00
Tonye Jack
eaffc06f9c Merge pull request #852 from tj-actions/chore/update-readme
Updated README.md
2022-12-12 16:27:12 -07:00
jackton1
d14a55854a Updated README.md 2022-12-12 23:21:54 +00:00
Tonye Jack
01588a88f3 Update README.md 2022-12-12 16:20:59 -07:00
repo-ranger[bot]
c3a1d0574b Merge pull request #850 from tj-actions/renovate/actions-checkout-3.x
chore(deps): update actions/checkout action to v3.2.0
2022-12-12 21:45:35 +00:00
repo-ranger[bot]
0358232251 Merge branch 'main' into renovate/actions-checkout-3.x 2022-12-12 21:21:43 +00:00
Tonye Jack
5bc868d5b5 Merge pull request #851 from tj-actions/upgrade-to-v34.5.4
Upgraded to v34.5.4
2022-12-12 14:20:11 -07:00
jackton1
a1893f84b3 Upgraded from v34.5.3 -> v34.5.4 2022-12-12 21:09:58 +00:00
renovate[bot]
44d49bc228 chore(deps): update actions/checkout action to v3.2.0 2022-12-12 20:58:29 +00:00
repo-ranger[bot]
3f1e44af6c Merge pull request #847 from tj-actions/chore/update-error-handling
chore: update error handling
2022-12-12 18:49:05 +00:00
Tonye Jack
d9be0ccb5e Update diff-sha.sh 2022-12-12 11:16:39 -07:00
repo-ranger[bot]
ff10d2fbc5 Merge branch 'main' into chore/update-error-handling 2022-12-12 18:14:59 +00:00
Tonye Jack
8fb90ed7f6 Update diff-sha.sh 2022-12-12 11:14:49 -07:00
Tonye Jack
474e3bd363 Merge pull request #848 from tj-actions/chore/update-readme
chore: update readme
2022-12-12 08:30:55 -07:00
Tonye Jack
b2902f40b3 chore: update readme 2022-12-12 01:36:53 -07:00
Tonye Jack
17ae17127c Update diff-sha.sh 2022-12-12 00:19:02 -07:00
Tonye Jack
65dc0e47e9 chore: update error handling 2022-12-12 00:18:33 -07:00
Tonye Jack
ba5abef332 Merge pull request #846 from tj-actions/upgrade-to-v34.5.3 2022-12-10 19:03:01 -07:00
jackton1
84dcdf586d Upgraded from v34.5.2 -> v34.5.3 2022-12-11 00:32:24 +00:00
Tonye Jack
74dc2e8a78 Merge pull request #845 from tj-actions/chore/update-diff-sha.sh 2022-12-10 16:50:31 -07:00
Tonye Jack
a817eeece0 chore: update diff-sha.sh 2022-12-10 16:31:17 -07:00
Tonye Jack
b120be5d01 Merge pull request #844 from tj-actions/upgrade-to-v34.5.2
Upgraded to v34.5.2
2022-12-10 13:07:36 -07:00
jackton1
626ad8da53 Upgraded from v34.5.1 -> v34.5.2 2022-12-10 09:07:14 +00:00
Tonye Jack
8356a01788 Merge pull request #843 from tj-actions/fix/unable-to-locate-the-previous-sha 2022-12-10 01:05:01 -07:00
Tonye Jack
a84c8f54f9 Update diff-sha.sh 2022-12-10 00:30:40 -07:00
Tonye Jack
a4f296d02e Update diff-sha.sh 2022-12-10 00:21:14 -07:00
Tonye Jack
33eef1b0ed Update diff-sha.sh 2022-12-10 00:05:52 -07:00
Tonye Jack
ae2404f72e Update diff-sha.sh 2022-12-09 23:58:40 -07:00
Tonye Jack
3f045143ec Update get-changed-paths.sh 2022-12-09 23:53:21 -07:00
Tonye Jack
0707f1b441 Update diff-sha.sh 2022-12-09 23:52:38 -07:00
Tonye Jack
fbc9b61579 Update action.yml 2022-12-09 23:51:25 -07:00
Tonye Jack
ac602e39b8 fix: error verifying the previous commit sha for push event 2022-12-09 23:49:27 -07:00
Tonye Jack
ef32360b2d Merge pull request #841 from tj-actions/chore/rename-env-variable 2022-12-08 14:32:58 -07:00
Tonye Jack
4b60d05705 Update action.yml 2022-12-08 12:43:50 -07:00
Tonye Jack
385d98db73 Update diff-sha.sh 2022-12-08 12:34:38 -07:00
Tonye Jack
8c766cffe7 Update action.yml 2022-12-08 12:32:51 -07:00
repo-ranger[bot]
00cc8e59b9 Merge pull request #839 from tj-actions/upgrade-to-v34.5.1
Upgraded to v34.5.1
2022-12-06 02:16:50 +00:00
jackton1
56a1ce212a Upgraded from v34.5.0 -> v34.5.1 2022-12-06 02:01:30 +00:00
repo-ranger[bot]
baaf598b46 Merge pull request #838 from tj-actions/chore/update-readme
Updated README.md
2022-12-05 22:52:03 +00:00
jackton1
15519b6a6f Updated README.md 2022-12-05 22:19:34 +00:00
Tonye Jack
e9a054c870 Update README.md 2022-12-05 15:17:05 -07:00
Tonye Jack
ed7adeaf22 Update action.yml 2022-12-05 15:15:35 -07:00
repo-ranger[bot]
703a319222 Merge pull request #837 from tj-actions/fix/wrong-changed-files-for-forked-prs
fix: wrong changed files for forked prs
2022-12-05 22:02:59 +00:00
Tonye Jack
e6fbdde201 Update diff-sha.sh 2022-12-05 14:38:37 -07:00
Tonye Jack
860dc31320 Update diff-sha.sh 2022-12-05 14:34:38 -07:00
Tonye Jack
fd5d6c3a2d Update action.yml 2022-12-05 14:30:14 -07:00
Tonye Jack
77fbd5a18c Update diff-sha.sh 2022-12-05 14:29:20 -07:00
Tonye Jack
aba4e5712b Update diff-sha.sh 2022-12-05 14:21:07 -07:00
Tonye Jack
c3642c4a1c Update diff-sha.sh 2022-12-05 13:19:24 -07:00
Tonye Jack
0a207fd892 Merge branch 'main' into fix/wrong-changed-files-for-forked-prs 2022-12-05 09:25:35 -07:00
repo-ranger[bot]
2a74e5e5d4 Merge pull request #835 from tj-actions/fix/determining-the-merge-base
fix: determining the merge base
2022-12-05 08:06:53 +00:00
repo-ranger[bot]
6e85a3501a Merge branch 'main' into fix/determining-the-merge-base 2022-12-05 07:15:19 +00:00
Tonye Jack
660db6c787 Merge pull request #836 from tj-actions/chore/update-readme
Updated README.md
2022-12-05 00:13:35 -07:00
Tonye Jack
a4d22acb20 Updated fetch branch 2022-12-05 00:12:48 -07:00
Tonye Jack
984b4ca567 Merge branch 'fix/determining-the-merge-base' into fix/wrong-changed-files-for-forked-prs 2022-12-05 00:06:11 -07:00
Tonye Jack
477b380579 Updated to use git diff 2022-12-05 00:05:01 -07:00
Tonye Jack
a699a3be4a Fixed test 2022-12-05 00:02:56 -07:00
Tonye Jack
3a46c048f7 Updated formatting 2022-12-05 00:02:15 -07:00
Tonye Jack
d78a469ec7 fix: wrong changed files for forked prs 2022-12-04 23:57:17 -07:00
Tonye Jack
0d9ec12402 Fixed test 2022-12-04 23:54:36 -07:00
repo-ranger[bot]
7e929625a3 Updated README.md 2022-12-05 06:50:05 +00:00
repo-ranger[bot]
c09cd8795d Merge branch 'main' into fix/determining-the-merge-base 2022-12-05 06:48:47 +00:00
repo-ranger[bot]
67482da9c0 Merge pull request #834 from tj-actions/chore/fix-typos
chore: fix typos
2022-12-05 06:47:10 +00:00
Tonye Jack
ef8591de30 Updated to use merge-base 2022-12-04 23:33:22 -07:00
Tonye Jack
f282e19e52 Updated to use merge-base 2022-12-04 23:27:32 -07:00
Tonye Jack
a20b263d03 Updated to use merge-base 2022-12-04 23:16:45 -07:00
Tonye Jack
69b90fbdbe fix: determining the merge-base with limited history. 2022-12-04 23:13:42 -07:00
Tonye Jack
2cf3132a60 Updated action 2022-12-04 23:08:45 -07:00
Tonye Jack
dc7365b27b Updated action 2022-12-04 23:07:38 -07:00
Tonye Jack
d8b80b3b09 chore: fix typos 2022-12-04 23:06:33 -07:00
Tonye Jack
33d8d67443 Update sync-release-version.yml 2022-12-04 22:29:11 -07:00
renovate[bot]
9f74b8c9e2 chore(deps): update tj-actions/auto-doc action to v1.5.0 2022-12-03 19:31:00 -07:00
renovate[bot]
17ce62043e chore(deps): update peter-evans/create-pull-request action to v4.2.3 2022-11-28 03:14:19 -07:00
repo-ranger[bot]
896db63e40 Merge pull request #827 from tj-actions/upgrade-to-v34.5.0
Upgraded to v34.5.0
2022-11-24 05:35:19 +00:00
repo-ranger[bot]
467f657e76 Merge branch 'main' into upgrade-to-v34.5.0 2022-11-24 05:14:58 +00:00
repo-ranger[bot]
efaec6dced Merge pull request #826 from tj-actions/chore/update-readme
Updated README.md
2022-11-24 05:14:24 +00:00
jackton1
5adea4114e Upgraded from v34.4.4 -> v34.5.0 2022-11-24 04:53:36 +00:00
jackton1
02a5f95a79 Updated README.md 2022-11-24 04:46:45 +00:00
Tonye Jack
91e0894f3f Update diff-sha.sh 2022-11-23 21:46:23 -07:00
Tonye Jack
20cff0223e Update action.yml 2022-11-23 21:37:16 -07:00
9 changed files with 246 additions and 121 deletions

View File

@@ -19,9 +19,10 @@ jobs:
git submodule update --remote --recursive
- name: Create Pull Request
uses: peter-evans/create-pull-request@v4.2.2
uses: peter-evans/create-pull-request@v4.2.3
with:
title: "Updated submodule"
labels: "merge when passing"
branch: "chore/update-submodule"
commit-message: "Updated submodule"
body: "Updated submodule"

View File

@@ -26,9 +26,10 @@ jobs:
with:
output: 'HISTORY.md'
- name: Create Pull Request
uses: peter-evans/create-pull-request@v4.2.2
uses: peter-evans/create-pull-request@v4.2.3
with:
base: "main"
labels: "merge when passing"
title: "Upgraded to ${{ steps.sync-release-version.outputs.new_version }}"
branch: "upgrade-to-${{ steps.sync-release-version.outputs.new_version }}"
commit-message: "Upgraded from ${{ steps.sync-release-version.outputs.old_version }} -> ${{ steps.sync-release-version.outputs.new_version }}"

View File

@@ -26,7 +26,7 @@ jobs:
- name: Checkout to branch
uses: actions/checkout@v3
- name: shellcheck
uses: reviewdog/action-shellcheck@v1.15
uses: reviewdog/action-shellcheck@v1.16
with:
github_token: ${{ secrets.PAT_TOKEN }}

View File

@@ -9,12 +9,12 @@ jobs:
sync-assets:
runs-on: ubuntu-latest
steps:
- uses: actions/checkout@v3.1.0
- uses: actions/checkout@v3.2.0
with:
fetch-depth: 0
- name: Run auto-doc
uses: tj-actions/auto-doc@v1.4.3
uses: tj-actions/auto-doc@v1.5.0
- name: Run test
uses: tj-actions/remark@v3
@@ -34,9 +34,10 @@ jobs:
- name: Create Pull Request
if: failure()
uses: peter-evans/create-pull-request@v4.2.2
uses: peter-evans/create-pull-request@v4.2.3
with:
base: "main"
labels: "merge when passing"
title: "Updated README.md"
branch: "chore/update-readme"
commit-message: "Updated README.md"

View File

@@ -1,12 +1,95 @@
# Changelog
## [v34.5.4](https://github.com/tj-actions/changed-files/tree/v34.5.4) (2022-12-12)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34...v34.5.4)
## [v34](https://github.com/tj-actions/changed-files/tree/v34) (2022-12-12)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.5.3...v34)
**Merged pull requests:**
- chore: update readme [\#848](https://github.com/tj-actions/changed-files/pull/848) ([jackton1](https://github.com/jackton1))
- chore: update error handling [\#847](https://github.com/tj-actions/changed-files/pull/847) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.5.3 [\#846](https://github.com/tj-actions/changed-files/pull/846) ([jackton1](https://github.com/jackton1))
## [v34.5.3](https://github.com/tj-actions/changed-files/tree/v34.5.3) (2022-12-10)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.5.2...v34.5.3)
**Fixed bugs:**
- \[BUG\] Error: Unable to locate the previous sha: fatal: ambiguous argument 'main': unknown revision or path not in the working tree [\#840](https://github.com/tj-actions/changed-files/issues/840)
**Merged pull requests:**
- chore: update diff-sha.sh [\#845](https://github.com/tj-actions/changed-files/pull/845) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.5.2 [\#844](https://github.com/tj-actions/changed-files/pull/844) ([jackton1](https://github.com/jackton1))
## [v34.5.2](https://github.com/tj-actions/changed-files/tree/v34.5.2) (2022-12-10)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.5.1...v34.5.2)
**Merged pull requests:**
- fix: error verifying the previous commit sha for push event [\#843](https://github.com/tj-actions/changed-files/pull/843) ([jackton1](https://github.com/jackton1))
- chore: rename env variable [\#841](https://github.com/tj-actions/changed-files/pull/841) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.5.1 [\#839](https://github.com/tj-actions/changed-files/pull/839) ([jackton1](https://github.com/jackton1))
## [v34.5.1](https://github.com/tj-actions/changed-files/tree/v34.5.1) (2022-12-05)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.5.0...v34.5.1)
**Implemented enhancements:**
- \[Feature\] Deprecate usage of `set-output` command and upgrade to environment variable [\#833](https://github.com/tj-actions/changed-files/issues/833)
**Fixed bugs:**
- \[BUG\] set-output call is deprecated [\#831](https://github.com/tj-actions/changed-files/issues/831)
- Unable to find merge-base between master and HEAD\[BUG\] \<title\> [\#830](https://github.com/tj-actions/changed-files/issues/830)
- \[BUG\] Glob not matching changed files [\#829](https://github.com/tj-actions/changed-files/issues/829)
- \[BUG\] Wrong changed-files returned for forked PRs [\#714](https://github.com/tj-actions/changed-files/issues/714)
**Closed issues:**
- Dependency Dashboard [\#27](https://github.com/tj-actions/changed-files/issues/27)
**Merged pull requests:**
- Updated README.md [\#838](https://github.com/tj-actions/changed-files/pull/838) ([jackton1](https://github.com/jackton1))
- fix: wrong changed files for forked prs [\#837](https://github.com/tj-actions/changed-files/pull/837) ([jackton1](https://github.com/jackton1))
- Updated README.md [\#836](https://github.com/tj-actions/changed-files/pull/836) ([jackton1](https://github.com/jackton1))
- fix: determining the merge base [\#835](https://github.com/tj-actions/changed-files/pull/835) ([jackton1](https://github.com/jackton1))
- chore: fix typos [\#834](https://github.com/tj-actions/changed-files/pull/834) ([jackton1](https://github.com/jackton1))
- chore\(deps\): update tj-actions/auto-doc action to v1.5.0 [\#832](https://github.com/tj-actions/changed-files/pull/832) ([renovate[bot]](https://github.com/apps/renovate))
- chore\(deps\): update peter-evans/create-pull-request action to v4.2.3 [\#828](https://github.com/tj-actions/changed-files/pull/828) ([renovate[bot]](https://github.com/apps/renovate))
- Upgraded to v34.5.0 [\#827](https://github.com/tj-actions/changed-files/pull/827) ([jackton1](https://github.com/jackton1))
- Updated README.md [\#826](https://github.com/tj-actions/changed-files/pull/826) ([jackton1](https://github.com/jackton1))
## [v34.5.0](https://github.com/tj-actions/changed-files/tree/v34.5.0) (2022-11-24)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.4.4...v34.5.0)
**Implemented enhancements:**
- \[Feature\] Replace all usage of nrwl/last-successful-commit-action with nrwl/nx-set-shas [\#820](https://github.com/tj-actions/changed-files/issues/820)
- \[Feature\] Unique directories max\_depth option [\#789](https://github.com/tj-actions/changed-files/issues/789)
**Merged pull requests:**
- chore\(deps\): update peter-evans/create-pull-request action to v4.2.2 [\#825](https://github.com/tj-actions/changed-files/pull/825) ([renovate[bot]](https://github.com/apps/renovate))
- Updated README.md [\#824](https://github.com/tj-actions/changed-files/pull/824) ([jackton1](https://github.com/jackton1))
- feat: add support for dir\_names\_max\_depth [\#823](https://github.com/tj-actions/changed-files/pull/823) ([jackton1](https://github.com/jackton1))
- feat: replace all usage of nrwl/last-successful-commit-action with nrwl/nx-set-shas [\#822](https://github.com/tj-actions/changed-files/pull/822) ([jackton1](https://github.com/jackton1))
- chore\(deps\): update peter-evans/create-pull-request action to v4.2.1 [\#821](https://github.com/tj-actions/changed-files/pull/821) ([renovate[bot]](https://github.com/apps/renovate))
- chore: update renovate.json [\#819](https://github.com/tj-actions/changed-files/pull/819) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.4.4 [\#818](https://github.com/tj-actions/changed-files/pull/818) ([jackton1](https://github.com/jackton1))
## [v34.4.4](https://github.com/tj-actions/changed-files/tree/v34.4.4) (2022-11-18)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34...v34.4.4)
## [v34](https://github.com/tj-actions/changed-files/tree/v34) (2022-11-18)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.4.3...v34)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.4.3...v34.4.4)
**Implemented enhancements:**
@@ -101,10 +184,6 @@
- \[BUG\] Action compares only two latest commits on push [\#783](https://github.com/tj-actions/changed-files/issues/783)
- Detected dubious ownership in repository error when running the action [\#782](https://github.com/tj-actions/changed-files/issues/782)
**Closed issues:**
- Dependency Dashboard [\#27](https://github.com/tj-actions/changed-files/issues/27)
**Merged pull requests:**
- fix: bug with force pushing commits to pr branches [\#787](https://github.com/tj-actions/changed-files/pull/787) ([jackton1](https://github.com/jackton1))
@@ -211,7 +290,6 @@
**Fixed bugs:**
- \[BUG\] Action failing on PR with "Unable to find merge-base in shallow clone" [\#737](https://github.com/tj-actions/changed-files/issues/737)
- \[BUG\] Wrong changed-files returned for forked PRs [\#714](https://github.com/tj-actions/changed-files/issues/714)
**Closed issues:**
@@ -296,7 +374,7 @@
## [v34.0.0](https://github.com/tj-actions/changed-files/tree/v34.0.0) (2022-10-25)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v33.0.0...v34.0.0)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v33...v34.0.0)
**Fixed bugs:**
@@ -309,13 +387,13 @@
- feat: add support for fetching more history [\#709](https://github.com/tj-actions/changed-files/pull/709) ([jackton1](https://github.com/jackton1))
- Upgraded to v33.0.0 [\#707](https://github.com/tj-actions/changed-files/pull/707) ([jackton1](https://github.com/jackton1))
## [v33.0.0](https://github.com/tj-actions/changed-files/tree/v33.0.0) (2022-10-21)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v33...v33.0.0)
## [v33](https://github.com/tj-actions/changed-files/tree/v33) (2022-10-21)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32...v33)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v33.0.0...v33)
## [v33.0.0](https://github.com/tj-actions/changed-files/tree/v33.0.0) (2022-10-21)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.2...v33.0.0)
**Closed issues:**
@@ -334,13 +412,13 @@
- chore\(deps\): update tj-actions/verify-changed-files action to v12 [\#696](https://github.com/tj-actions/changed-files/pull/696) ([renovate[bot]](https://github.com/apps/renovate))
- Upgraded to v32.1.2 [\#695](https://github.com/tj-actions/changed-files/pull/695) ([jackton1](https://github.com/jackton1))
## [v32](https://github.com/tj-actions/changed-files/tree/v32) (2022-10-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.2...v32)
## [v32.1.2](https://github.com/tj-actions/changed-files/tree/v32.1.2) (2022-10-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.1...v32.1.2)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32...v32.1.2)
## [v32](https://github.com/tj-actions/changed-files/tree/v32) (2022-10-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.1...v32)
**Fixed bugs:**
@@ -453,7 +531,7 @@
## [v31.0.0](https://github.com/tj-actions/changed-files/tree/v31.0.0) (2022-09-25)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v30...v31.0.0)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v30.0.0...v31.0.0)
**Merged pull requests:**
@@ -466,13 +544,13 @@
- chore: update broken link [\#642](https://github.com/tj-actions/changed-files/pull/642) ([jackton1](https://github.com/jackton1))
- Upgraded to v30.0.0 [\#641](https://github.com/tj-actions/changed-files/pull/641) ([jackton1](https://github.com/jackton1))
## [v30](https://github.com/tj-actions/changed-files/tree/v30) (2022-09-24)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v30.0.0...v30)
## [v30.0.0](https://github.com/tj-actions/changed-files/tree/v30.0.0) (2022-09-24)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v29...v30.0.0)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v30...v30.0.0)
## [v30](https://github.com/tj-actions/changed-files/tree/v30) (2022-09-24)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v29.0.9...v30)
**Fixed bugs:**
@@ -488,13 +566,13 @@
- chore\(deps\): update codacy/codacy-analysis-cli-action action to v4.2.0 [\#634](https://github.com/tj-actions/changed-files/pull/634) ([renovate[bot]](https://github.com/apps/renovate))
- Upgraded to v29.0.9 [\#633](https://github.com/tj-actions/changed-files/pull/633) ([jackton1](https://github.com/jackton1))
## [v29](https://github.com/tj-actions/changed-files/tree/v29) (2022-09-20)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v29.0.9...v29)
## [v29.0.9](https://github.com/tj-actions/changed-files/tree/v29.0.9) (2022-09-20)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v29.0.8...v29.0.9)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v29...v29.0.9)
## [v29](https://github.com/tj-actions/changed-files/tree/v29) (2022-09-20)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v29.0.8...v29)
**Implemented enhancements:**
@@ -1937,7 +2015,7 @@
## [v7](https://github.com/tj-actions/changed-files/tree/v7) (2021-06-09)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6.3...v7)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6...v7)
**Closed issues:**
@@ -1953,13 +2031,13 @@
- Update tj-actions/sync-release-version action to v8.7 [\#86](https://github.com/tj-actions/changed-files/pull/86) ([renovate[bot]](https://github.com/apps/renovate))
- Upgraded to v6.3 [\#85](https://github.com/tj-actions/changed-files/pull/85) ([jackton1](https://github.com/jackton1))
## [v6.3](https://github.com/tj-actions/changed-files/tree/v6.3) (2021-05-26)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6...v6.3)
## [v6](https://github.com/tj-actions/changed-files/tree/v6) (2021-05-26)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6.2...v6)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6.3...v6)
## [v6.3](https://github.com/tj-actions/changed-files/tree/v6.3) (2021-05-26)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6.2...v6.3)
**Merged pull requests:**

View File

@@ -15,7 +15,7 @@
## changed-files
Retrieve all changed files and directories relative to the target branch or the last remote commit returning the **absolute path** from the project root.
Retrieve all changed files and directories relative to the target branch or the last remote commit returning the **absolute paths** from the project root.
## Features
@@ -25,7 +25,8 @@ Retrieve all changed files and directories relative to the target branch or the
* Git submodules support.
* No extra API calls.
* Escaped JSON Output which can be used for running matrix jobs based on changed files.
* List only changed directories.
* Optionally list only changed directories.
* Restrict the max depth of changed directories.
* Monorepos (Fetches only the last remote commit).
* Supports all platforms (Linux, MacOS, Windows).
* [GitHub-hosted runners](https://docs.github.com/en/actions/using-github-hosted-runners/about-github-hosted-runners) support
@@ -157,31 +158,31 @@ Support this project with a :star:
<!-- AUTO-DOC-INPUT:START - Do not remove or modify this section -->
| INPUT | TYPE | REQUIRED | DEFAULT | DESCRIPTION |
|-----------------------------------|--------|----------|-----------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| base\_sha | string | false | | Specify a different base commit<br>SHA used for comparing changes<br> |
| diff\_relative | string | false | | Exclude changes outside the current<br>directory and show pathnames relative<br>to it. **NOTE:** This requires<br>you to specify the top<br>level directory via the `path`<br>input. |
| dir\_names | string | false | `"false"` | Output unique changed directories instead<br>of filenames. **NOTE:** This returns<br>`.` for changed files located<br>in the root of the<br>project. |
| dir\_names\_max\_depth | string | false | | Maximum depth of directories to<br>output. e.g test/test1/test2 with max<br>depth of 2 returns test/test1<br> |
| fetch\_depth | string | false | `"40"` | Initial depth of the branch<br>history fetched. **NOTE**: This can<br>be adjusted to resolve errors<br>with insufficient history. |
| files | string | false | | File and directory patterns to<br>detect changes using only these<br>list of file(s) (Defaults to<br>the entire repo) **NOTE:** Multiline<br>file/directory patterns should not include<br>qoutes. |
| files\_from\_source\_file | string | false | | Source file(s) used to populate<br>the `files` input. |
| files\_ignore | string | false | | Ignore changes to these file(s)<br>**NOTE:** Multiline file/directory patterns should<br>not include qoutes. |
| files\_ignore\_from\_source\_file | string | false | | Source file(s) used to populate<br>the `files_ignore` input |
| files\_ignore\_separator | string | false | `"\n"` | Separator used to split the<br>`files-ignore` input |
| files\_separator | string | false | `"\n"` | Separator used to split the<br>`files` input |
| include\_all\_old\_new\_renamed\_files | string | false | `"false"` | Include `all_old_new_renamed_files` output. Note this<br>can generate a large output<br>See: [#501](https://github.com/tj-actions/changed-files/issues/501). |
| json | string | false | `"false"` | Output list of changed files<br>in a JSON formatted string<br>which can be used for<br>matrix jobs. |
| max\_fetch\_depth | string | false | `"5000"` | Maximum depth of the branch<br>history fetched. **NOTE**: This can<br>be adjusted to resolve errors<br>with insufficient history. |
| old\_new\_files\_separator | string | false | `" "` | Split character for multiple old<br>and new filename pairs. |
| old\_new\_separator | string | false | `","` | Split character for old and<br>new filename pairs. |
| path | string | false | `"."` | Specify a relative path under<br>`$GITHUB_WORKSPACE` to locate the repository.<br> |
| quotepath | string | false | `"true"` | Use non ascii characters to<br>match files and output the<br>filenames completely verbatim by setting<br>this to `false` |
| separator | string | false | `" "` | Split character for output strings<br> |
| sha | string | false | `"${{ github.sha }}"` | Specify a different commit SHA<br>used for comparing changes |
| since | string | false | | Get changed files for commits<br>whose timestamp is older than<br>the given time. |
| since\_last\_remote\_commit | string | true | `"false"` | Use the last commit on<br>the remote branch as the<br>`base_sha`. Defaults to the last<br>non merge commit on the<br>target branch for pull request<br>events and the previous commit<br>of the current branch for<br>push events. |
| until | string | false | | Get changed files for commits<br>whose timestamp is earlier than<br>the given time. |
| INPUT | TYPE | REQUIRED | DEFAULT | DESCRIPTION |
|-----------------------------------|--------|----------|-----------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| base\_sha | string | false | | Specify a different base commit<br>SHA used for comparing changes<br> |
| diff\_relative | string | false | | Exclude changes outside the current<br>directory and show path names<br>relative to it. **NOTE:** This<br>requires you to specify the<br>top level directory via the<br>`path` input. |
| dir\_names | string | false | `"false"` | Output unique changed directories instead<br>of filenames. **NOTE:** This returns<br>`.` for changed files located<br>in the root of the<br>project. |
| dir\_names\_max\_depth | string | false | | Maximum depth of directories to<br>output. e.g `test/test1/test2` with max<br>depth of `2` returns `test/test1`.<br> |
| fetch\_depth | string | false | `"40"` | Initial depth of the branch<br>history fetched. **NOTE**: This can<br>be adjusted to resolve errors<br>with insufficient history. |
| files | string | false | | File and directory patterns to<br>detect changes using only these<br>list of file(s) (Defaults to<br>the entire repo) **NOTE:** Multiline<br>file/directory patterns should not include<br>quotes. |
| files\_from\_source\_file | string | false | | Source file(s) used to populate<br>the `files` input. |
| files\_ignore | string | false | | Ignore changes to these file(s)<br>**NOTE:** Multiline file/directory patterns should<br>not include quotes. |
| files\_ignore\_from\_source\_file | string | false | | Source file(s) used to populate<br>the `files_ignore` input |
| files\_ignore\_separator | string | false | `"\n"` | Separator used to split the<br>`files-ignore` input |
| files\_separator | string | false | `"\n"` | Separator used to split the<br>`files` input |
| include\_all\_old\_new\_renamed\_files | string | false | `"false"` | Include `all_old_new_renamed_files` output. Note this<br>can generate a large output<br>See: [#501](https://github.com/tj-actions/changed-files/issues/501). |
| json | string | false | `"false"` | Output list of changed files<br>in a JSON formatted string<br>which can be used for<br>matrix jobs. |
| max\_fetch\_depth | string | false | `"5000"` | Maximum depth of the branch<br>history fetched. **NOTE**: This can<br>be adjusted to resolve errors<br>with insufficient history. |
| old\_new\_files\_separator | string | false | `" "` | Split character for old and<br>new renamed filename pairs. |
| old\_new\_separator | string | false | `","` | Split character for old and<br>new filename pairs. |
| path | string | false | `"."` | Specify a relative path under<br>`$GITHUB_WORKSPACE` to locate the repository.<br> |
| quotepath | string | false | `"true"` | Use non ascii characters to<br>match files and output the<br>filenames completely verbatim by setting<br>this to `false` |
| separator | string | false | `" "` | Split character for output strings<br> |
| sha | string | false | `"${{ github.sha }}"` | Specify a different commit SHA<br>used for comparing changes |
| since | string | false | | Get changed files for commits<br>whose timestamp is older than<br>the given time. |
| since\_last\_remote\_commit | string | true | `"false"` | Use the last commit on<br>the remote branch as the<br>`base_sha`. Defaults to the last<br>non merge commit on the<br>target branch for pull request<br>events and the previous remote<br>commit of the current branch<br>for push events. |
| until | string | false | | Get changed files for commits<br>whose timestamp is earlier than<br>the given time. |
<!-- AUTO-DOC-INPUT:END -->
@@ -591,6 +592,42 @@ See [inputs](#inputs) for more information.
> However, this action will handle spaces in file names, with a recommendation of using a separator to prevent hidden issues.
> ![Screen Shot 2021-10-23 at 9 37 34 AM](https://user-images.githubusercontent.com/17484350/138558767-b13c90bf-a1ae-4e86-9520-70a6a4624f41.png)
## Migration guide
With the switch from using grep's Extended regex to match files to the natively supported workflow glob pattern matching syntax introduced in [v13](https://github.com/tj-actions/changed-files/releases/tag/v13) you'll need to modify patterns used to match `files`.
**BEFORE**
```yml
...
- name: Get specific changed files
id: changed-files-specific
uses: tj-actions/changed-files@v12.2
with:
files: |
\.sh$
.(sql|py)$
^(mynewfile|custom)
```
**AFTER**
```yml
...
- name: Get specific changed files
id: changed-files-specific
uses: tj-actions/changed-files@v24
with:
files: |
*.sh
*.sql
*.py
mynewfile
custom/**
```
## Credits
This package was created with [Cookiecutter](https://github.com/cookiecutter/cookiecutter).

View File

@@ -16,7 +16,7 @@ inputs:
required: false
default: ","
old_new_files_separator:
description: "Split character for multiple old and new filename pairs."
description: "Split character for old and new renamed filename pairs."
required: false
default: " "
files_from_source_file:
@@ -24,7 +24,7 @@ inputs:
required: false
default: ""
files:
description: "File and directory patterns to detect changes using only these list of file(s) (Defaults to the entire repo) **NOTE:** Multiline file/directory patterns should not include qoutes."
description: "File and directory patterns to detect changes using only these list of file(s) (Defaults to the entire repo) **NOTE:** Multiline file/directory patterns should not include quotes."
required: false
default: ""
files_separator:
@@ -32,7 +32,7 @@ inputs:
default: "\n"
required: false
files_ignore:
description: "Ignore changes to these file(s) **NOTE:** Multiline file/directory patterns should not include qoutes."
description: "Ignore changes to these file(s) **NOTE:** Multiline file/directory patterns should not include quotes."
required: false
default: ""
files_ignore_separator:
@@ -67,14 +67,14 @@ inputs:
default: "true"
required: false
diff_relative:
description: "Exclude changes outside the current directory and show pathnames relative to it. **NOTE:** This requires you to specify the top level directory via the `path` input."
description: "Exclude changes outside the current directory and show path names relative to it. **NOTE:** This requires you to specify the top level directory via the `path` input."
required: false
dir_names:
default: "false"
description: "Output unique changed directories instead of filenames. **NOTE:** This returns `.` for changed files located in the root of the project."
required: false
dir_names_max_depth:
description: "Maximum depth of directories to output. e.g test/test1/test2 with max depth of 2 returns test/test1"
description: "Maximum depth of directories to output. e.g `test/test1/test2` with max depth of `2` returns `test/test1`."
required: false
json:
description: "Output list of changed files in a JSON formatted string which can be used for matrix jobs."
@@ -88,8 +88,9 @@ inputs:
description: "Maximum depth of the branch history fetched. **NOTE**: This can be adjusted to resolve errors with insufficient history."
required: false
default: "5000"
deprecationMessage: "This input is deprecated and will be removed in a future release."
since_last_remote_commit:
description: "Use the last commit on the remote branch as the `base_sha`. Defaults to the last non merge commit on the target branch for pull request events and the previous commit of the current branch for push events."
description: "Use the last commit on the remote branch as the `base_sha`. Defaults to the last non merge commit on the target branch for pull request events and the previous remote commit of the current branch for push events."
required: true
default: "false"
@@ -173,9 +174,13 @@ runs:
GITHUB_BASE_REF: ${{ github.base_ref }}
GITHUB_HEAD_REF: ${{ github.head_ref }}
GITHUB_WORKSPACE: ${{ github.workspace }}
GITHUB_EVENT_HEAD_REPO_FORK: ${{ github.event.pull_request.head.repo.fork }}
GITHUB_EVENT_PULL_REQUEST_BASE_SHA: ${{ github.event.pull_request.base.sha }}
GITHUB_EVENT_PULL_REQUEST_HEAD_SHA: ${{ github.event.pull_request.head.sha }}
GITHUB_EVENT_PULL_REQUEST_COMMITS: ${{ github.event.pull_request.commits }}
GITHUB_EVENT_BEFORE: ${{ github.event.before }}
GITHUB_EVENT_FORCED: ${{ github.event.forced }}
GITHUB_REFNAME: ${{ github.ref_name }}
# INPUT_<VARIABLE_NAME> is not available in Composite run steps
# https://docs.github.com/en/actions/creating-actions/metadata-syntax-for-github-actions#example-specifying-inputs
INPUT_SHA: ${{ inputs.sha }}
@@ -209,6 +214,7 @@ runs:
env:
GITHUB_WORKSPACE: ${{ github.workspace }}
GITHUB_BASE_REF: ${{ github.base_ref }}
GITHUB_EVENT_HEAD_REPO_FORK: ${{ github.event.pull_request.head.repo.fork }}
# INPUT_<VARIABLE_NAME> is not available in Composite run steps
# https://docs.github.com/en/actions/creating-actions/metadata-syntax-for-github-actions#example-specifying-inputs
INPUT_FILES_PATTERN_FILE: ${{ steps.glob.outputs.paths-output-file }}

View File

@@ -4,12 +4,17 @@ set -euo pipefail
INITIAL_COMMIT="false"
GITHUB_OUTPUT=${GITHUB_OUTPUT:-""}
EXTRA_ARGS="--no-tags"
EXTRA_ARGS="--no-tags --prune --no-recurse-submodules"
PREVIOUS_SHA=""
CURRENT_SHA=""
DIFF="..."
if [[ "$GITHUB_REF" == "refs/tags/"* ]]; then
EXTRA_ARGS=""
EXTRA_ARGS="--prune --no-recurse-submodules"
fi
if [[ "$GITHUB_EVENT_HEAD_REPO_FORK" == "true" ]]; then
DIFF=".."
fi
echo "::group::changed-files-diff-sha"
@@ -47,6 +52,8 @@ fi
if [[ -z $GITHUB_BASE_REF ]]; then
echo "Running on a push event..."
TARGET_BRANCH=$GITHUB_REFNAME
CURRENT_BRANCH=$TARGET_BRANCH
echo "::debug::Getting HEAD SHA..."
if [[ -n "$INPUT_UNTIL" ]]; then
@@ -62,14 +69,11 @@ if [[ -z $GITHUB_BASE_REF ]]; then
CURRENT_SHA=$(git rev-list -n 1 HEAD 2>&1) && exit_status=$? || exit_status=$?
else
# shellcheck disable=SC2086
git fetch $EXTRA_ARGS -u --progress --deepen="$INPUT_FETCH_DEPTH"
git fetch $EXTRA_ARGS -u --progress --deepen="$INPUT_FETCH_DEPTH" origin "$CURRENT_BRANCH" 1>/dev/null 2>&1
CURRENT_SHA=$INPUT_SHA; exit_status=$?
fi
fi
TARGET_BRANCH=$(git name-rev --name-only "$CURRENT_SHA" 2>&1) && exit_status=$? || exit_status=$?
CURRENT_BRANCH=$TARGET_BRANCH && exit_status=$? || exit_status=$?
echo "::debug::Verifying the current commit SHA: $CURRENT_SHA"
git rev-parse --quiet --verify "$CURRENT_SHA^{commit}" 1>/dev/null 2>&1 && exit_status=$? || exit_status=$?
@@ -121,14 +125,14 @@ if [[ -z $GITHUB_BASE_REF ]]; then
fi
else
if [[ -z "$PREVIOUS_SHA" ]]; then
echo "::error::Unable to locate a previous commit"
echo "::error::Unable to locate a previous commit."
exit 1
fi
fi
fi
else
# shellcheck disable=SC2086
git fetch $EXTRA_ARGS -u --progress --deepen="$INPUT_FETCH_DEPTH"
git fetch $EXTRA_ARGS -u --progress --deepen="$INPUT_FETCH_DEPTH" origin "$CURRENT_BRANCH" 1>/dev/null 2>&1
PREVIOUS_SHA=$INPUT_BASE_SHA
fi
@@ -156,11 +160,32 @@ else
if [[ "$INPUT_SINCE_LAST_REMOTE_COMMIT" == "false" ]]; then
# shellcheck disable=SC2086
git fetch -u --progress $EXTRA_ARGS --depth="$INPUT_FETCH_DEPTH" origin +refs/heads/"$TARGET_BRANCH":refs/remotes/origin/"$TARGET_BRANCH"
git branch --track "$TARGET_BRANCH" origin/"$TARGET_BRANCH" 2>/dev/null || true
git fetch -u --progress $EXTRA_ARGS --depth="$INPUT_FETCH_DEPTH" origin +refs/heads/"$TARGET_BRANCH":refs/remotes/origin/"$TARGET_BRANCH" 1>/dev/null 2>&1
git branch --track "$TARGET_BRANCH" origin/"$TARGET_BRANCH" 1>/dev/null 2>&1 || true
# shellcheck disable=SC2086
git fetch $EXTRA_ARGS -u --progress --depth=$(( GITHUB_EVENT_PULL_REQUEST_COMMITS + 1 )) origin +"$GITHUB_REF":refs/remotes/origin/"$CURRENT_BRANCH" 1>/dev/null 2>&1
COMMON_ANCESTOR=$(git rev-list --first-parent --max-parents=0 --max-count=1 origin/"$CURRENT_BRANCH") && exit_status=$? || exit_status=$?
if [[ -z "$COMMON_ANCESTOR" ]]; then
echo "::debug::Unable to locate a common ancestor for the current branch: $CURRENT_BRANCH"
else
echo "::debug::Common ancestor: $COMMON_ANCESTOR"
DATE=$(git log --date=iso8601 --format=%cd "${COMMON_ANCESTOR}")
if [[ -z "$DATE" ]]; then
echo "::error::Unable to locate a date for the common ancestor: $COMMON_ANCESTOR"
exit 1
else
# shellcheck disable=SC2086
git fetch $EXTRA_ARGS --shallow-since="${DATE}" origin +refs/heads/"$TARGET_BRANCH":refs/remotes/origin/"$TARGET_BRANCH" 1>/dev/null 2>&1
echo "::debug::Date: $DATE"
fi
fi
else
# shellcheck disable=SC2086
git fetch $EXTRA_ARGS -u --progress --depth="$INPUT_FETCH_DEPTH" origin +"$GITHUB_REF":refs/remotes/origin/"$CURRENT_BRANCH"
git fetch $EXTRA_ARGS -u --progress --depth="$INPUT_FETCH_DEPTH" origin +"$GITHUB_REF":refs/remotes/origin/"$CURRENT_BRANCH" 1>/dev/null 2>&1
fi
echo "::debug::Getting HEAD SHA..."
@@ -174,9 +199,13 @@ else
fi
else
if [[ -z $INPUT_SHA ]]; then
CURRENT_SHA=$(git rev-list --no-merges -n 1 HEAD 2>&1) && exit_status=$? || exit_status=$?
CURRENT_SHA=$(git rev-list -n 1 HEAD 2>&1) && exit_status=$? || exit_status=$?
else
CURRENT_SHA=$INPUT_SHA; exit_status=$?
if [[ "$CURRENT_SHA" == "$GITHUB_EVENT_PULL_REQUEST_HEAD_SHA" ]]; then
CURRENT_SHA=$(git rev-list -n 1 HEAD 2>&1) && exit_status=$? || exit_status=$?
fi
fi
fi
@@ -194,16 +223,11 @@ else
if [[ -z $INPUT_BASE_SHA ]]; then
if [[ "$INPUT_SINCE_LAST_REMOTE_COMMIT" == "true" ]]; then
PREVIOUS_SHA=$GITHUB_EVENT_BEFORE
if ! git rev-parse --quiet --verify "$PREVIOUS_SHA^{commit}" 1>/dev/null 2>&1; then
# shellcheck disable=SC2046
PREVIOUS_SHA=$(git rev-parse origin/"$CURRENT_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
fi
else
PREVIOUS_SHA=$GITHUB_EVENT_PULL_REQUEST_BASE_SHA && exit_status=$? || exit_status=$?
PREVIOUS_SHA=$GITHUB_EVENT_PULL_REQUEST_BASE_SHA
if ! git diff --name-only --ignore-submodules=all "$PREVIOUS_SHA"..."$CURRENT_SHA" 1>/dev/null 2>&1; then
PREVIOUS_SHA=$(git rev-parse origin/"$TARGET_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
if ! git diff --name-only --ignore-submodules=all "$PREVIOUS_SHA$DIFF$CURRENT_SHA" 1>/dev/null 2>&1; then
PREVIOUS_SHA=$(git merge-base "$PREVIOUS_SHA" "$CURRENT_SHA" 2>&1) && exit_status=$? || exit_status=$?
fi
fi
@@ -219,29 +243,6 @@ else
echo "::debug::Target branch: $TARGET_BRANCH"
echo "::debug::Current branch: $CURRENT_BRANCH"
if [[ "$INPUT_SINCE_LAST_REMOTE_COMMIT" == "false" ]]; then
if [[ -f .git/shallow ]]; then
depth=$INPUT_FETCH_DEPTH
max_depth=$INPUT_MAX_FETCH_DEPTH
while ! git diff --name-only --ignore-submodules=all "$PREVIOUS_SHA"..."$CURRENT_SHA" 1>/dev/null; do
echo "Fetching $depth commits..."
# shellcheck disable=SC2086
git fetch $EXTRA_ARGS -u --progress --deepen="$depth" origin +"$GITHUB_REF":refs/remotes/origin/"$CURRENT_BRANCH"
if [[ $depth -gt $max_depth ]]; then
echo "::error::Unable to locate a common ancestor between $TARGET_BRANCH and $CURRENT_SHA"
exit 1
fi
depth=$((depth + 300))
done
else
echo "::debug::Not a shallow clone, skipping merge-base check."
fi
fi
echo "::debug::Verifying the previous commit SHA: $PREVIOUS_SHA"
git rev-parse --quiet --verify "$PREVIOUS_SHA^{commit}" 1>/dev/null 2>&1 && exit_status=$? || exit_status=$?

View File

@@ -10,7 +10,7 @@ INPUT_SEPARATOR="${INPUT_SEPARATOR//$'\r'/'%0D'}"
GITHUB_OUTPUT=${GITHUB_OUTPUT:-""}
DIFF="..."
if [[ -z $GITHUB_BASE_REF ]]; then
if [[ -z $GITHUB_BASE_REF || "$GITHUB_EVENT_HEAD_REPO_FORK" == "true" ]]; then
DIFF=".."
fi